Skip to main content
PUT
/
link-sets
/
{id}
Update Link Set
curl --request PUT \
  --url https://api.example.com/link-sets/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "identifier": "<string>",
  "qualifier": "<string>",
  "links": [
    {
      "relationType": "<string>",
      "href": "<string>",
      "title": "<string>",
      "lang": [
        "<string>"
      ]
    }
  ]
}
'
import requests

url = "https://api.example.com/link-sets/{id}"

payload = {
"identifier": "<string>",
"qualifier": "<string>",
"links": [
{
"relationType": "<string>",
"href": "<string>",
"title": "<string>",
"lang": ["<string>"]
}
]
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
identifier: '<string>',
qualifier: '<string>',
links: [
{
relationType: '<string>',
href: '<string>',
title: '<string>',
lang: ['<string>']
}
]
})
};

fetch('https://api.example.com/link-sets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "qualifier": "<string>",
  "links": [
    {
      "relationType": "<string>",
      "title": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "href": "<string>",
      "objectKey": "<string>",
      "lang": [
        "<string>"
      ]
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "identifier": "<string>"
}

Path Parameters

id
string
required

Body

application/json
identifier
string
required

The identifier of the Link Set.

qualifier
string
required

The qualifier of the Link Set.

The links of the Link Set.

Response

201 - application/json

The Link Set was updated.

qualifier
string
required

The qualifier of the Link Set.

The links of the Link Set.

createdAt
string<date-time>
required

The creation date of the Link Set.

updatedAt
string<date-time>
required

The last update date of the Link Set.

id
string

The ID of the Link Set.

identifier
string

The identifier of the Link Set.